## nfqueue-bindings 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

SET(VERSION "0.1")

STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource)
IF(insource)
  MESSAGE(FATAL_ERROR "nfqueue-bindings requires an out of source build. Please create a separate build directory and run 'cmake path_to_nfqueue_bindings [options]' there.")
ENDIF(insource)

FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(${SWIG_USE_FILE})

INCLUDE(UsePkgConfig)
PKGCONFIG(libnetfilter_queue LIBNFQ_INCLUDE_DIR LIBNFQ_LINK_DIR LIBNFQ_LINK_FLAGS LIBNFQ_CFLAGS)

IF (NOT LIBNFQ_INCLUDE_DIR)
  MESSAGE(FATAL_ERROR "libnetfilter_queue was not found")
ENDIF (NOT LIBNFQ_INCLUDE_DIR)

SET( LIB_SUFFIX "" CACHE STRING "The library directory suffix. 32bit empty string, 64 for 64bit." )
SET( LIB_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )

ADD_SUBDIRECTORY(python)
ADD_SUBDIRECTORY(perl)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/nfq_version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/nfq_version.h)

=== perl/CMakeLists.txt ===
SET(SOURCES ../nfq.c ../nfq_common.c ../nfq_utils.c)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
FIND_PACKAGE(Perl)
FIND_PACKAGE(PerlLibs2)

IF ( PERL_EXECUTABLE )
	EXEC_PROGRAM( ${PERL_EXECUTABLE} ARGS "-e 'use Config; print \$Config{revision},\"\\n\"'" OUTPUT_VARIABLE PERL_VERSION )
ENDIF ( PERL_EXECUTABLE )

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${LIBNFQ_INCLUDE_DIR})

INCLUDE_DIRECTORIES(${PERL_INCLUDE_PATH})
IF(PERL_EXTRA_C_FLAGS)
  ADD_DEFINITIONS(${PERL_EXTRA_C_FLAGS})
ENDIF(PERL_EXTRA_C_FLAGS)

SWIG_ADD_MODULE(nfqueue perl libnetfilter_queue.i ${SOURCES})
SWIG_LINK_LIBRARIES(nfqueue ${PERL_LIBRARIES} ${LIBNFQ_LINK_FLAGS})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.pm
	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.so
	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

## nfqueue-bindings 0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,16 @@
 cmake_minimum_required(VERSION 2.4)
 
-SET(VERSION "0.1")
+SET(VERSION "0.2")
 
 STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource)
 IF(insource)
   MESSAGE(FATAL_ERROR "nfqueue-bindings requires an out of source build. Please create a separate build directory and run 'cmake path_to_nfqueue_bindings [options]' there.")
 ENDIF(insource)
+
+# cmake --help-policy CMP0003
+IF(COMMAND cmake_policy)
+  cmake_policy(SET CMP0003 NEW)
+ENDIF(COMMAND cmake_policy)
 
 FIND_PACKAGE(SWIG REQUIRED)
 INCLUDE(${SWIG_USE_FILE})

=== perl/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 ENDIF(PERL_EXTRA_C_FLAGS)
 
 SWIG_ADD_MODULE(nfqueue perl libnetfilter_queue.i ${SOURCES})
-SWIG_LINK_LIBRARIES(nfqueue ${PERL_LIBRARIES} ${LIBNFQ_LINK_FLAGS})
+SWIG_LINK_LIBRARIES(nfqueue ${PERL_LIBRARY} ${LIBNFQ_LINK_FLAGS})
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.pm
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

=== python/CMakeLists.txt ===
FIND_PACKAGE(PythonInterp)
FIND_PACKAGE(PythonLibs)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})

IF ( PYTHON_EXECUTABLE )
	EXEC_PROGRAM( ${PYTHON_EXECUTABLE} ARGS "-c \"import sys; print sys.version[:3]\"" OUTPUT_VARIABLE PYTHON_VERSION )
	STRING( REGEX REPLACE "[\r\n]" " " PYTHON_VERSION "${PYTHON_VERSION}"  )
ENDIF ( PYTHON_EXECUTABLE )

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
INCLUDE_DIRECTORIES(${LIBNFQ_INCLUDE_DIR})

SET(SOURCES ../nfq.c ../nfq_common.c ../nfq_utils.c)
SET(CMAKE_SWIG_FLAGS "")

#SET_SOURCE_FILES_PROPERTIES(libnetfilter_queue.i PROPERTIES CPLUSPLUS ON)
#SET_SOURCE_FILES_PROPERTIES(libnetfilter_queue.i PROPERTIES SWIG_FLAGS "-includeall")
SWIG_ADD_MODULE(nfqueue python libnetfilter_queue.i ${SOURCES})
SWIG_LINK_LIBRARIES(nfqueue ${PYTHON_LIBRARIES} ${LIBNFQ_LINK_FLAGS})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.py
	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_nfqueue.so
	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)

## nfqueue-bindings 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,12 +15,12 @@
 FIND_PACKAGE(SWIG REQUIRED)
 INCLUDE(${SWIG_USE_FILE})
 
-INCLUDE(UsePkgConfig)
-PKGCONFIG(libnetfilter_queue LIBNFQ_INCLUDE_DIR LIBNFQ_LINK_DIR LIBNFQ_LINK_FLAGS LIBNFQ_CFLAGS)
+INCLUDE(FindPkgConfig)
+pkg_search_module(LIBNFQ "libnetfilter_queue")
 
-IF (NOT LIBNFQ_INCLUDE_DIR)
+IF (NOT LIBNFQ_FOUND)
   MESSAGE(FATAL_ERROR "libnetfilter_queue was not found")
-ENDIF (NOT LIBNFQ_INCLUDE_DIR)
+ENDIF (NOT LIBNFQ_FOUND)
 
 SET( LIB_SUFFIX "" CACHE STRING "The library directory suffix. 32bit empty string, 64 for 64bit." )
 SET( LIB_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )

=== perl/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SET(SOURCES ../nfq.c ../nfq_common.c ../nfq_utils.c)
+SET(SOURCES ../nfq.c ../nfq_common.c ../nfq_utils.c ../exception.c)
 
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 FIND_PACKAGE(Perl)
@@ -10,15 +10,15 @@
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
 INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
-INCLUDE_DIRECTORIES(${LIBNFQ_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${LIBNFQ_INCLUDE_DIRS})
 
 INCLUDE_DIRECTORIES(${PERL_INCLUDE_PATH})
 IF(PERL_EXTRA_C_FLAGS)
   ADD_DEFINITIONS(${PERL_EXTRA_C_FLAGS})
 ENDIF(PERL_EXTRA_C_FLAGS)
 
-SWIG_ADD_MODULE(nfqueue perl libnetfilter_queue.i ${SOURCES})
-SWIG_LINK_LIBRARIES(nfqueue ${PERL_LIBRARY} ${LIBNFQ_LINK_FLAGS})
+SWIG_ADD_MODULE(nfqueue perl ../libnetfilter_queue.i ${SOURCES})
+SWIG_LINK_LIBRARIES(nfqueue ${PERL_LIBRARY} ${LIBNFQ_LDFLAGS})
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.pm
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,15 @@
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
 INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
-INCLUDE_DIRECTORIES(${LIBNFQ_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${LIBNFQ_INCLUDE_DIRS})
 
-SET(SOURCES ../nfq.c ../nfq_common.c ../nfq_utils.c)
+SET(SOURCES ../nfq.c ../nfq_common.c ../nfq_utils.c ../exception.c)
 SET(CMAKE_SWIG_FLAGS "")
 
 #SET_SOURCE_FILES_PROPERTIES(libnetfilter_queue.i PROPERTIES CPLUSPLUS ON)
 #SET_SOURCE_FILES_PROPERTIES(libnetfilter_queue.i PROPERTIES SWIG_FLAGS "-includeall")
-SWIG_ADD_MODULE(nfqueue python libnetfilter_queue.i ${SOURCES})
-SWIG_LINK_LIBRARIES(nfqueue ${PYTHON_LIBRARIES} ${LIBNFQ_LINK_FLAGS})
+SWIG_ADD_MODULE(nfqueue python ../libnetfilter_queue.i ${SOURCES})
+SWIG_LINK_LIBRARIES(nfqueue ${PYTHON_LIBRARIES} ${LIBNFQ_LDFLAGS})
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.py
 	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)

=== debian/changelog ===
nfqueue-bindings (0.3-3) unstable; urgency=low

  * Rename binary packages according to policy (Closes: #575936)
    nfqueue-bindings-perl renamed to libnfqueue-perl
    nfqueue-bindings-python renamed to python-nfqueue
  * Update project homepage url (Closes: #600035)
  * Convert to 3.0 (quilt) source format
  * Bump Standards Version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Thu, 16 Dec 2010 10:29:45 +0100

nfqueue-bindings (0.3-2) unstable; urgency=low

  * Apply patch from Ansgar Burchardt:
    Get path for perl.h from perl's Config module. (Closes: #578631)
  * Bump standards version to 3.9.0

 -- Pierre Chifflier <pollux@debian.org>  Sun, 18 Jul 2010 21:59:55 +0200

nfqueue-bindings (0.3-1) unstable; urgency=low

  * New upstream release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 29 Jan 2010 22:10:11 +0100

nfqueue-bindings (0.2-3) unstable; urgency=low

  * Fix installation target in cmake script (Closes: #556833)
  * Use python_lib path given by python instead of site-packages
    (Closes: #557911)
  * Bump standards version to 3.8.3 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 Dec 2009 14:03:03 +0100

nfqueue-bindings (0.2-2) unstable; urgency=low

  * Rebuild with un-tainted build environment
    Remove dependency on libpython2.6 (Closes: #533572)
  * Bump standards version to 3.8.2 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 22 Jun 2009 20:52:06 +0200

nfqueue-bindings (0.2-1) unstable; urgency=low

  * New Upstream Version
  * Add watch file
  * Bump standards version to 3.8.1 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 10 May 2009 17:11:08 +0200

nfqueue-bindings (0.1-1) unstable; urgency=low

  * Initial release (Closes: #497943)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 05 Sep 2008 10:20:11 +0200

=== debian/control ===
Source: nfqueue-bindings
Section: libs
Priority: extra
XS-Python-Version: current
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 5),
    cmake (>= 2.4.5),
    swig (>= 1.3),
    libperl-dev,
    python-central (>= 0.5),
    python-all-dev,
    libnetfilter-queue-dev,
    chrpath
Standards-Version: 3.9.1
Homepage: https://www.wzdftpd.net/redmine/projects/nfqueue-bindings/wiki/

Package: libnfqueue-perl
Section: perl
Architecture: any
Replaces: nfqueue-bindings-perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl bindings for nfqueue
 nfqueue-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_queue.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFQUEUE target.
 .
 This package contains the Perl bindings for nfqueue.

Package: python-nfqueue
Section: python
Architecture: any
XB-Python-Version: ${python:Versions}
Replaces: nfqueue-bindings-python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python bindings for nfqueue
 nfqueue-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_queue.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFQUEUE target.
 .
 This package contains the Python bindings for nfqueue.


Package: nfqueue-bindings-perl
Section: perl
Architecture: any
Depends: libnfqueue-perl
Description: Perl bindings for nfqueue
 nfqueue-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_queue.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFQUEUE target.
 .
 This is a dummy package to ease transition to the new packaging scheme.
 It may be safely removed after upgrade/installation.

Package: nfqueue-bindings-python
Section: python
Architecture: any
Depends: python-nfqueue
Description: Python bindings for nfqueue
 nfqueue-bindings is a set of high-level modules for several languages
 (Python and Perl, for the moment), for libnetfilter_queue.
 It provides a userspace API to access packets that have been queued by
 the kernel packet filter using the NFQUEUE target.
 .
 This is a dummy package to ease transition to the new packaging scheme.
 It may be safely removed after upgrade/installation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DH_PYCENTRAL=nomove




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp  

	# Add here commands to compile the arch part of the package.
	$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp  

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mv $(CURDIR)/debian/tmp/usr/local/lib/perl5 $(CURDIR)/debian/tmp/usr/lib/perl5
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/python2.*/*/*.so

	dh_install -s --list-missing --sourcedir=debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_pycentral -ppython-nfqueue
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## nfqueue-bindings 0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 2.4)
+cmake_minimum_required(VERSION 2.6)
 
-SET(VERSION "0.2")
+SET(VERSION "0.4")
 
 STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource)
 IF(insource)

=== perl/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,6 @@
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.pm
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)
 
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.so
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libnfqueue.so
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

=== debian/changelog ===
nfqueue-bindings (0.4-6) unstable; urgency=low

  * Revert upstream signature change (Closes: #718894)
    Note: rollback is temporary, signature will change in next upstream
    version

 -- Pierre Chifflier <pollux@debian.org>  Wed, 09 Oct 2013 13:35:02 +0200

nfqueue-bindings (0.4-5) unstable; urgency=low

  * Fix FTBFS "unknown type name 'uint32_t'" (Closes: #713742)
  * Use CMake internal script to find perl (Closes: #676274)
  * Bump Standards Version to 3.9.4
  * Fix lintian warning (missing misc-depends)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 08 Jul 2013 11:29:20 +0200

nfqueue-bindings (0.4-4) unstable; urgency=low

  * Fix FTBFS "unknown type name 'uint32_t'" (Closes: #713742)
  * Use CMake internal script to find perl (Closes: #676274)
    Thanks to Gregor Herrmann for the original patch.
  * Bump Standards Version to 3.9.4

 -- Pierre Chifflier <pollux@debian.org>  Mon, 08 Jul 2013 11:28:18 +0200

nfqueue-bindings (0.4-3) unstable; urgency=low

  * Add missing CPPFLAGS hardening flags (Closes: #670238).
    Thanks to Simon Ruderich for the bug report and patch.
  * Add 'bindnow' hardening flag

 -- Pierre Chifflier <pollux@debian.org>  Sat, 19 May 2012 16:20:21 +0200

nfqueue-bindings (0.4-2) unstable; urgency=low

  * Build with python support in debhelper (Closes: #671060)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 May 2012 21:50:13 +0200

nfqueue-bindings (0.4-1) unstable; urgency=low

  * Imported Upstream version 0.4
  * Drop patches, merged upstream
  * Fix installation path and build with specific Python version
    (Closes: #665230)
  * Bump Standards Version to 3.9.3
  * Switch to debhelper 9: shorten the rules file, and enable hardening flags
  * Install examples

 -- Pierre Chifflier <pollux@debian.org>  Mon, 16 Apr 2012 12:01:16 +0200

nfqueue-bindings (0.3-4) unstable; urgency=low

  * Switch to dh_python2 (Closes: #616916)
  * Build package for all recent versions of Python (Closes: #629280)
    - Add patch to support extra arguments in Makefile
  * Bump Standards Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Sun, 05 Jun 2011 21:18:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: nfqueue-bindings
 Section: libs
 Priority: extra
-XS-Python-Version: current
+XS-Python-Version: >= 2.6
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 9),
     cmake (>= 2.4.5),
     swig (>= 1.3),
     libperl-dev,
-    python-central (>= 0.5),
-    python-all-dev,
+    python-all-dev (>= 2.6.6-3~),
     libnetfilter-queue-dev,
     chrpath
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: https://www.wzdftpd.net/redmine/projects/nfqueue-bindings/wiki/
 
 Package: libnfqueue-perl
@@ -30,7 +29,6 @@
 Package: python-nfqueue
 Section: python
 Architecture: any
-XB-Python-Version: ${python:Versions}
 Replaces: nfqueue-bindings-python
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
@@ -46,7 +44,7 @@
 Package: nfqueue-bindings-perl
 Section: perl
 Architecture: any
-Depends: libnfqueue-perl
+Depends: libnfqueue-perl, ${misc:Depends}
 Description: Perl bindings for nfqueue
  nfqueue-bindings is a set of high-level modules for several languages
  (Python and Perl, for the moment), for libnetfilter_queue.
@@ -59,7 +57,7 @@
 Package: nfqueue-bindings-python
 Section: python
 Architecture: any
-Depends: python-nfqueue
+Depends: python-nfqueue, ${misc:Depends}
 Description: Python bindings for nfqueue
  nfqueue-bindings is a set of high-level modules for several languages
  (Python and Perl, for the moment), for libnetfilter_queue.

=== debian/watch ===
# Watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://software.inl.fr//trac/downloads/nfqueue-bindings/nfqueue-bindings-(.*).tar.gz

## nfqueue-bindings 0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,13 @@
 SET( LIB_SUFFIX "" CACHE STRING "The library directory suffix. 32bit empty string, 64 for 64bit." )
 SET( LIB_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
 
+include(CheckFunctionExists)
+set(CMAKE_REQUIRED_LIBRARIES ${LIBNFQ_LDFLAGS})
+CHECK_FUNCTION_EXISTS(nfq_set_verdict2 HAVE_NFQ_SET_VERDICT2)
+
 ADD_SUBDIRECTORY(python)
 ADD_SUBDIRECTORY(perl)
 
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/nfq_version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/nfq_version.h)

=== Makefile ===
PREFIX = /usr/local
CMAKE_OPTIONS = -DDEBUG=1 -DCMAKE_VERBOSE_MAKEFILE=0 -DCMAKE_BUILD_TYPE=Debug -DCMAKE_INSTALL_PREFIX=$(PREFIX)
CMAKE_EXTRA_OPTIONS =
BUILD_DIR = build

all:
	[ -d $(BUILD_DIR) ] || mkdir $(BUILD_DIR); \
	cd $(BUILD_DIR) && cmake $(CMAKE_OPTIONS) $(CMAKE_EXTRA_OPTIONS) .. && $(MAKE)

install: all
	cd $(BUILD_DIR) && $(MAKE) install

clean:
	rm -rf $(BUILD_DIR)

=== perl/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}")
 FIND_PACKAGE(Perl)
-FIND_PACKAGE(PerlLibs2)
+FIND_PACKAGE(PerlLibs)
 
 IF ( PERL_EXECUTABLE )
 	EXEC_PROGRAM( ${PERL_EXECUTABLE} ARGS "-e 'use Config; print \$Config{revision},\"\\n\"'" OUTPUT_VARIABLE PERL_VERSION )
@@ -23,6 +23,6 @@
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.pm
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)
 
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/libnfqueue.so
+INSTALL(TARGETS nfqueue LIBRARY DESTINATION
 	DESTINATION ${LIB_INSTALL_DIR}/perl${PERL_VERSION}/)

=== debian/changelog ===
nfqueue-bindings (0.5-1build2) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 10:40:33 +0000

nfqueue-bindings (0.5-1build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:17:07 +0100

nfqueue-bindings (0.5-1) unstable; urgency=medium

  * Imported Upstream version 0.5
  * Remove watch file, URL changed, and new site is using self-signed https
    certificate
  * Remove 10-fix-ftbfs-uint32.patch and 20-FindPerlLib.patch, merged upstream
  * Bump Standards Version to 3.9.5
  * Fix "hardcodes /usr/lib/perl5" (Closes: #752350)
    Make debian/libnfqueue-perl.install executable and use $Config{vendorarch}
    to determine target directory.
    Thanks to Gregor Herrmann for the patch.

 -- Pierre Chifflier <pollux@debian.org>  Wed, 30 Jul 2014 09:20:10 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
     python-all-dev (>= 2.6.6-3~),
     libnetfilter-queue-dev,
     chrpath
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://www.wzdftpd.net/redmine/projects/nfqueue-bindings/wiki/
 
 Package: libnfqueue-perl

## nfqueue-bindings 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 
-SET(VERSION "0.4")
+SET(VERSION "0.6")
 
 STRING(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" insource)
 IF(insource)

=== Makefile ===
--- 
+++ 
@@ -10,5 +10,7 @@
 install: all
 	cd $(BUILD_DIR) && $(MAKE) install
 
+test:
+
 clean:
 	rm -rf $(BUILD_DIR)

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,8 @@
 SWIG_LINK_LIBRARIES(nfqueue ${PYTHON_LIBRARIES} ${LIBNFQ_LDFLAGS})
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nfqueue.py
-	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)
+	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/dist-packages/)
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_nfqueue.so
-	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/site-packages/)
+	DESTINATION ${LIB_INSTALL_DIR}/python${PYTHON_VERSION}/dist-packages/)

=== debian/changelog ===
nfqueue-bindings (0.6-1) unstable; urgency=medium

  * Imported Upstream version 0.6
  * Add watch file
  * Drop 30-revert-signature-change.patch, fixed upstream
  * Install README.md and ChangeLog in docs
  * Bump Standards Version to 3.9.8
  * Add dh-python to build-deps

 -- Pierre Chifflier <pollux@debian.org>  Tue, 26 Jul 2016 10:44:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
     swig (>= 1.3),
     libperl-dev,
     python-all-dev (>= 2.6.6-3~),
+    dh-python,
     libnetfilter-queue-dev,
     chrpath
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://www.wzdftpd.net/redmine/projects/nfqueue-bindings/wiki/
 
 Package: libnfqueue-perl

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nfqueue-bindings-$1\.tar\.gz/ \
  https://github.com/chifflier/nfqueue-bindings/tags .*/v?(\d\S*)\.tar\.gz
